<script lang="ts">
	import { fade } from 'svelte/transition';
	import { onMount } from 'svelte';
	import { goto } from '$app/navigation';
	import type { ActionData } from './$types';
	import LoginCard from '../../../components/login/LoginCard.svelte';

	onMount(() => {
		if (sessionStorage.getItem('customerID')) {
			goto('/reserve');
		}
	});
	export let form: ActionData;
</script>

<div class="relative h-full w-full overflow-hidden">
	<div class="absolute bg-primary-800 bg-opacity-30 z-10 h-screen w-screen" />
	<img
		class="absolute z-20 h-screen w-screen object-cover"
		src="main-hotel.jpg"
		alt="L'hotel vu de l'avant"
	/>
	<div class="absolute w-full h-full flex items-center justify-center" style="z-index: 100;">
		<div class="flex flex-col items-center gap-4 bg-black bg-opacity-60 p-4 text-white rounded-lg">
			<div class="grow flex items-center justify-center">
				<div class="w-full flex flex-col gap-2 items-center justify-center p-2">
					<LoginCard type="create-account" />

					{#if form?.success}
						<div class="bg-success-500 text-light-surface-500 rounded-lg p-2" transition:fade>
							Votre compte a été créé avec succès ! Cliquez
							<a href="/login" class="underline"> ici pour vous connecter</a>.
						</div>
					{/if}
				</div>
			</div>
		</div>
	</div>
</div>
